'use client'

import { send } from '@/utils/actions'
import { ContactFormView } from './ContactFormView'

type ContactFormProps = {
  schema?: 'base' | 'contrast'
  toEmail: string
}

export const ContactForm = ({ schema, toEmail }: ContactFormProps) => {
  const sendWithEmail = send.bind(null, toEmail)
  return <ContactFormView schema={schema} action={sendWithEmail} />
}
